package com.myoa.engineering.sample.controller;

import com.myoa.engineering.sample.dto.TestDataDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@Slf4j
@RestController
@RequestMapping("/api/v1/loggingTest")
public class LoggingTestAPIController {

    @GetMapping("/get")
    public ResponseEntity<String> get() {
//        log.info("[API called] get");
        return ResponseEntity.ok("get");
    }

    @GetMapping("/getWithBody")
    public ResponseEntity<TestDataDTO> getWithBody(@RequestBody TestDataDTO dto) {
//        log.info("[API called] getWithRequestBody");
        return ResponseEntity.ok(dto);
    }


    @PostMapping("/postWithBody")
    public ResponseEntity<TestDataDTO> postWithBody(@RequestBody TestDataDTO dto) {
//        log.info("[API called] postWithRequestBody");
        return ResponseEntity.ok(dto);
    }
}
