package com.myoa.engineering.sample.configuration;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.util.AntPathMatcher;

class WebConfigurationTest {

    private final AntPathMatcher sut = new AntPathMatcher();

    @Test
    void test_ant_style_pattern_matching() {
        assertTrueAntPattern("/api/**", "/api/v1/loggingTest/get");
        assertTrueAntPattern("/api/**", "/api/v1/loggingTest/getWithBody");
        assertTrueAntPattern("/api/**", "/api/v1/loggingTest/postWithBody");
    }

    public void assertTrueAntPattern(String pattern, String assertString) {
        Assertions.assertTrue(isMatchedAntStylePattern(pattern, assertString));
    }
    public void assertFalseAntPattern(String pattern, String assertString) {
        Assertions.assertFalse(isMatchedAntStylePattern(pattern, assertString));
    }

    public boolean isMatchedAntStylePattern(String pattern, String assertString) {
        return sut.match(pattern, assertString);
    }

}